import { Novu } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const payloadToUpdate = {
content: "<h1>Layout Start</h1>{{{body}}}<h1>Layout End</h1>",
description: "Organisation's first layout",
name: "First Layout",
identifier: "firstlayout",
variables: [
{
type: "String",
name: "body"
required: true
defValue: ""
}
]
isDefault: false
}
await novu.layouts.update("layoutId", payloadToUpdate);
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
payload = {
'name' => 'Update layout', # optional
'content' => '{{{body}}}', # optional
'description' => 'This is a description for the new layout', # optional
'isDefault' => true # optional
'variables' => ['<list-variables-here>'], # optional
}
client.update_layout('<insert-layout-id>', payload)
from novu.api import LayoutApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = LayoutApi(url, api_key).patch(
layout= "<The instance of the layout to be updated>",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.updateLayout(layoutId, body);
}
}
{
"name": "string",
"identifier": "string",
"description": "string",
"content": "string",
"variables": [
{}
],
"isDefault": true
}
Layouts
Update a layout
Update the name, content and variables of a layout. Also change it to be default or no.
PATCH
/
v1
/
layouts
/
{layoutId}
import { Novu } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const payloadToUpdate = {
content: "<h1>Layout Start</h1>{{{body}}}<h1>Layout End</h1>",
description: "Organisation's first layout",
name: "First Layout",
identifier: "firstlayout",
variables: [
{
type: "String",
name: "body"
required: true
defValue: ""
}
]
isDefault: false
}
await novu.layouts.update("layoutId", payloadToUpdate);
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
payload = {
'name' => 'Update layout', # optional
'content' => '{{{body}}}', # optional
'description' => 'This is a description for the new layout', # optional
'isDefault' => true # optional
'variables' => ['<list-variables-here>'], # optional
}
client.update_layout('<insert-layout-id>', payload)
from novu.api import LayoutApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = LayoutApi(url, api_key).patch(
layout= "<The instance of the layout to be updated>",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.updateLayout(layoutId, body);
}
}
{
"name": "string",
"identifier": "string",
"description": "string",
"content": "string",
"variables": [
{}
],
"isDefault": true
}
Enter your API key in the
Authorization field like the example shown below:E.g ApiKey 18d2e625f05d80eimport { Novu } from '@novu/node';
const novu = new Novu('<NOVU_API_KEY>');
const payloadToUpdate = {
content: "<h1>Layout Start</h1>{{{body}}}<h1>Layout End</h1>",
description: "Organisation's first layout",
name: "First Layout",
identifier: "firstlayout",
variables: [
{
type: "String",
name: "body"
required: true
defValue: ""
}
]
isDefault: false
}
await novu.layouts.update("layoutId", payloadToUpdate);
require 'novu'
client = Novu::Client.new('<NOVU_API_KEY>')
payload = {
'name' => 'Update layout', # optional
'content' => '{{{body}}}', # optional
'description' => 'This is a description for the new layout', # optional
'isDefault' => true # optional
'variables' => ['<list-variables-here>'], # optional
}
client.update_layout('<insert-layout-id>', payload)
from novu.api import LayoutApi
url = "https://api.novu.co"
api_key = "<NOVU_API_KEY>"
novu = LayoutApi(url, api_key).patch(
layout= "<The instance of the layout to be updated>",
)
import co.novu.sdk.Novu;
public class Main {
public static void main(String[] args) {
String apiKey = "<NOVU_API_KEY>";
Novu novu = new Novu(apiKey);
novu.updateLayout(layoutId, body);
}
}
{
"name": "string",
"identifier": "string",
"description": "string",
"content": "string",
"variables": [
{}
],
"isDefault": true
}
Authorizations
API key authentication. Allowed headers-- "Authorization: ApiKey <api_key>".
Path Parameters
Body
application/json
User defined custom key that will be a unique identifier for the Layout updated.
User defined custom name and provided by the user that will name the Layout updated.
User defined description of the layout
User defined content for the layout.
User defined variables to render in the layout placeholders.
Variable that defines if the layout is chosen as default when creating a layout.
Response
Ok
Available options:
in_app, email, sms, chat, push Was this page helpful?